Table of contents

 

 

 

 

Official Content
  • This documentation is valid for:

The Session Activity API provides comprehensive information about AI solutions and their associated sessions within the context of a specific Organization or Project.

For generic variables needed to use the API, see the API Reference.

Endpoints

Method Path Description
GET /agentics/ Retrieves a list of all AI solutions.
GET /agentics/{id} Retrieves detailed information about a specific Agentic.
GET /agentics/{id}/sessions Retrieves the sessions associated with a specific Agentic.
GET /sessions/ Retrieves a list of all sessions associated with AI solutions.
GET /sessions/{id} Retrieves detailed information about a specific session.
GET /sessions/{id}/details Retrieves in-depth details about a specific session.

Authentication

All endpoints require authentication using one of the following:

  • Authorization: Bearer $GEAI_APITOKEN
  • Authorization: Bearer $OAuth_accesstoken

For $OAuth_accesstoken, you must also include the header: ProjectId: $GEAI_PROJECT_ID

Some endpoints may require additional headers such as:

  • Content-Type: application/json
  • Accept: application/json

GET /agentics/

Retrieves a list of all AI solutions within the specified Project context.

  • Method: GET
  • Path: $BASE_URL/v2/agentic-sessions/agentics/
  • Request Body: Empty

Parameters

Name Type Description
name string Filter results by the agentic’s name. Optional; omit to return all AI solutions.
startPage integer Page number for pagination (default: 0).
pageSize integer Number of items per page (default: 100).

Response

{
  "agentics": 
    {
      "id": "string",                      // Agentic GUID
      "image": "string",                   // URL of the agentic's avatar image
      "lastSessionTimestamp": "string",    // ISO 8601 timestamp of the last session
      "name": "string",                    // Agentic name
      "title": "string",                   // Agentic title
      "type": "string",                    // Agentic type (e.g., "agent")
      "totalSessions": integer                   // Number of sessions associated
    }
  ,
  "information": {
    "duration": integer,                         // Request duration in ms
    "page": integer,                             // Current page
    "pageSize": integer,                         // Records per page
    "total": integer                             // Total number of AI solutions
  }
}

cURL Example

curl -X GET "$BASE_URL/v2/agentic-sessions/agentics/?startPage=1&pageSize=10" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"

GET /agentics/{id}

Retrieves detailed information about a specific AI solution within the organization-project context by its unique identifier (ID).

  • Method: GET
  • Path: $BASE_URL/v2/agentic-sessions/agentics/{id}
  • Request Body: Empty

Response

{
  "agentics": 
    {
      "id": "string",                       // Unique identifier (UUID) of the agentic
      "image": "string",                    // URL to the agentic avatar/image
      "lastSessionTimestamp": "string",     // ISO 8601 timestamp of the most recent session (e.g., "2026-05-15T14:22:10.123")
      "name": "string",                     // Internal name of the agentic
      "title": "string",                    // Display title of the agentic
      "type": "string",                     // Entity type (e.g., "agent")
      "totalSessions": integer              // Total number of sessions associated with the agentic
    }
  ,
  "information": {
    "duration": integer,                    // Operation duration (unit TBD; e.g., milliseconds) — please confirm
    "page": integer,                        // Current page number
    "pageSize": integer,                    // Number of items per page
    "total": integer                        // Total number of items across all pages
  }
}

cURL Sample

curl -X GET "$BASE_URL/v2/agentic-sessions/agentics/{id}" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"

GET /agentics/{id}/sessions/

Retrieves a list of all sessions associated with a specific Agentic.

  • Method: GET
  • Path: $BASE_URL/v2/agentic-sessions/agentics/
  • Request Body: Empty

Parameters

Name Type Description
title string Filter by session title.
status string Filter by session status. One of: pending, assigned, running, aborted, completed, requires_action, expired.
startDate string Start date (YYYY-MM-DD).
endDate string Start date (YYYY-MM-DD).
startPage integer Page number for pagination (default: 0).
pageSize integer Number of items per page (default: 100).
orderKey string Sort field. One of: name, title, user, startTime, endTime, status..
orderDirection string Sort direction: asc or desc (default: asc).

Response

{
  "sessions": 
    {
      "id": "string",                      // Session GUID
      "type": "string",                    // Session type (e.g., "agent")
      "title": "string",                   // Session title
      "agenticId": "string",               // Agentic GUID
      "agenticName": "string",             // Agentic name
      "agenticVersion": 0,                 // integer: agentic version
      "user": "string",                    // User who initiated the session
      "lastInput": "string",               // Last user input in the session
      "responseAvg": 0,                    // number: average response time (ms)
      "startTime": "string",               // ISO 8601 start time
      "endTime": "string",                 // ISO 8601 end time
      "status": "string"                   // Session status
    }
  ,
  "information": {
    "duration": 0,                         // integer: request duration in ms
    "page": 0,                             // integer: current page
    "pageSize": 0,                         // integer: records per page
    "total": 0                             // integer: total sessions
  }
}

cURL Example

curl -X GET "$BASE_URL/v2/agentic-sessions/agentics/{id}/sessions/?startPage=1&pageSize=10" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"

GET /sessions/

Retrieves a list of all sessions within the specified organization-project context.

  • Method: GET
  • Path: $BASE_URL/v2/sessions/
  • Request Body: Empty

Parameters

Name Type Description
agenticName string Filter by Agentic name.
title string Filter by session title.
type string Filter by session status. One of: pending, assigned, running, aborted, completed, requires_action, expired.
status string Filter by session type
startDate string Start date (YYYY-MM-DD).
endDate string Start date (YYYY-MM-DD).
startPage integer Page number for pagination (default: 0).
pageSize integer Number of items per page (default: 100).
orderKey string Sort field. One of: name, title, user, startTime, endTime, status..
orderDirection string Sort direction: asc or desc (default: asc).

Response

{
  "sessions": 
    {
      "id": "string",                      // Session GUID
      "type": "string",                    // Session type (e.g., "agent")
      "title": "string",                   // Session title
      "agenticId": "string",               // Agentic GUID
      "agenticName": "string",             // Agentic name
      "agenticVersion": 0,                 // integer: agentic version
      "user": "string",                    // Session user
      "lastInput": "string",               // Last user input
      "responseAvg": 0,                    // number: average response time (ms)
      "startTime": "string",               // ISO 8601 start time
      "endTime": "string",                 // ISO 8601 end time
      "status": "string"                   // Session status
    }
  ,
  "information": {
    "duration": 0,                         // integer: request duration in ms
    "page": 0,                             // integer: current page
    "pageSize": 0,                         // integer: records per page
    "total": 0                             // integer: total sessions
  }
}

cURL Sample

curl -X GET "$BASE_URL/v2/agentic-sessions/sessions/?startPage=1&pageSize=10" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"

GET /sessions/{id}

Retrieves details for a specific session within the organization-project context.

  • Method: GET
  • Path: $BASE_URL/v2/sessions/{id}
  • Request Body: Empty

Response

{
  "sessions": 
    {
      "id": "string",                      // Session GUID
      "type": "string",                    // Session type (e.g., "agent")
      "title": "string",                   // Session title
      "agenticId": "string",               // Agentic GUID
      "agenticName": "string",             // Agentic name
      "agenticVersion": 0,                 // integer: agentic version
      "user": "string",                    // Session user
      "lastInput": "string",               // Last user input
      "responseAvg": 0,                    // number: average response time (ms)
      "startTime": "string",               // ISO 8601 start time
      "endTime": "string",                 // ISO 8601 end time
      "status": "string"                   // Session status
    }
  ,
  "information": {
    "duration": 0,                         // integer: request duration in ms
    "page": 0,                             // integer: current page
    "pageSize": 0,                         // integer: records per page
    "total": 0                             // integer: total results
  }
}

cURL Sample

curl -X GET "$BASE_URL/v2/agentic-sessions/sessions/{id}" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"

GET /sessions/{id}/details

Retrieves detailed information about a specific session, including metadata, agentic info, messages, and execution steps.

  • Method: GET
  • Path: $BASE_URL/v2/sessions/{id}
  • Request Body: Empty

Response

{
  "sessions":  "assistant"
          "duration": number,                   // Pocessing duration in ms
          "files": [                       // Files attached to the message
            {
              "item": "string"             // File metadata/content (implementation-defined)
            }
          
        }
      ' target='_blank'>
        {
          "message": "string",             // Message content
          "role": "string",                // "user" ' target='_blank'> "assistant"
          "duration": number,                   // Pocessing duration in ms
          "files": [                       // Files attached to the message
            {
              "item": "string"             // File metadata/content (implementation-defined)
            }
          
        }
      ,
      "steps":  "assigned" | "running" | "aborted" | "completed" | "requires_action" | "expired"
          "resultData": "string",          // Structured result data from the step
          "resultChoice": "string",        // "stop" | "length" | "tool_calls" | "Successful-Tool-Call" | "Unsuccessful-Tool-Call" | "Cancel"
          "endInError": boolean,             / Wwhether the step ended in error
          "createdAt": "string",           // ISO 8601 / timestamp
          "completedAt": "string",         // ISO 8601 / timestamp
          "duration": number,                   // Duration in ms (numeric(15,0))
          "tokens": number,                     // Tokens used (numeric(12,0))
          "cost": number,                       // Cost (numeric(15,8))
          "currency": "string",            // Currency code
          "files": 
            {
              "item": "string"             // File metadata/content (implementation-defined)
            }
          
        }
      
    }
  ],
  "information": {
    "duration": integer,                         // Request duration in ms
    "page": integer,                             // Integer: current page
    "pageSize": integer,                         //  Records per page
    "total": integer                             // Total results
  }
}

cURL Sample

curl -X GET "$BASE_URL/v2/agentic-sessions/sessions/{id}/details" \
  -H "Authorization: Bearer $GEAI_APITOKEN" \
  -H "Accept: application/json"
Last update: 2026 | © Globant S.A. All rights reserved.